View a markdown version of this page

ListTagsForResource - AWS IoT Greengrass

End of support notice: On October 7th, 2026, AWS will discontinue support for AWS IoT Greengrass Version 1. After October 7th, 2026, you will no longer be able to access the AWS IoT Greengrass V1 resources. For more information, please visit Migrate from AWS IoT Greengrass Version 1.

ListTagsForResource

Lists tags for a Greengrass resource. Valid resources are Group, ConnectorDefinition, CoreDefinition, DeviceDefinition, FunctionDefinition, LoggerDefinition, ResourceDefinition, SubscriptionDefinition, and BulkDeployment.

URI: GET /tags/resource-arn

Produces: application/json

CLI:

aws greengrass list-tags-for-resource \ [--cli-input-json <value>] \ [--generate-cli-skeleton]

Parameters:

ResourceArn

The Amazon Resource Name (ARN) of the resource whose tags you want to retrieve.

where used: path; required: true

type: string

Responses:

200

HTTP Status Code 200: OK.

tags

{ "tags": { "keyName0": "value0", "keyName1": "value1", "keyName2": "value2" } }

The resource tags.

type: object

additionalProperties: The key-value pair for the resource tag. Type: string

400

Invalid request.

GeneralError

{ "Message": "string", "ErrorDetails": [ { "DetailedErrorCode": "string", "DetailedErrorMessage": "string" } ] }
GeneralError

General error information.

type: object

required: ["Message"]

Message

A message that contains information about the error.

type: string

ErrorDetails

A list of error details.

type: array

items: ErrorDetail

ErrorDetail

Details about the error.

type: object

DetailedErrorCode

A detailed error code.

type: string

DetailedErrorMessage

A detailed error message.

type: string